Search documentation of bb

# BB.Error.Kinematics.NoDofs exception (bb v0.17.0)

Copy Markdown View Source

Kinematic chain has no degrees of freedom.

Raised when attempting to solve inverse kinematics for a chain that contains only fixed joints and therefore cannot be moved.

## Summary

### Types

t()

### Functions

exception(args)

Create an `Elixir.BB.Error.Kinematics.NoDofs` without raising it.

## Types

# t()

    @type t() :: %BB.Error.Kinematics.NoDofs{
      __exception__: true,
      bread_crumbs: term(),
      chain_length: non_neg_integer() | nil,
      class: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      target_link: atom(),
      vars: term()
    }

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.Kinematics.NoDofs{
      __exception__: true,
      bread_crumbs: term(),
      chain_length: term(),
      class: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      target_link: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.Kinematics.NoDofs` without raising it.

## Keys

- :target_link
- :chain_length